Subject: bug#21090: 25.0.50; `condition-case-no-debug': Please fix indentation & highlighting

From: Stefan Monnier <[email-masked]>
Date: Sun, 19 Jul 2015 20:19:00 -0400

Thanks for the rant, but do you have a recipe to reproduce this
hypothetical problem, starting from "emacs -Q"?

        Stefan

>>>>> "Drew" == Drew Adams <[email-masked]> writes:

> In Emacs 23 you introduced `condition-case-no-debug'.  In Emacs 24.1 you
> immediately turned around and deprecated it - to improve the name.
> Hindsight is 20x20, but such things happen.

> What should not happen is that when you make such a replacement,
> especially for a simple renaming, you break the behavior of the alias
> that is deprecated.

> You should at least let the alias act the same as the newly named
> replacement (and in the case of just a renaming, act the same as it did
> before).  Especially for a macro, you should reinstate the highlighting
> and, especially, the indentation, so one can use recent Emacs on code
> that must work also with Emacs 23.

> This macro is one case in point.  Please restore at least the
> indentation, and preferably the font-lock highlighting as well.

> And then please search for other such renamings of things that had
> indentation declarations and were font-locked, and fix them too.

> Thx.

> In GNU Emacs 25.0.50.1 (i686-pc-mingw32)
>  of 2014-10-20 on LEG570
> Bzr revision: 118168 [email-masked]
> Windowing system distributor `Microsoft Corp.', version 6.1.7601
> Configured using:
>  `configure --enable-checking=yes,glyphs CPPFLAGS=-DGLYPH_DEBUG=1'